﻿<style>
    #text {
        display: none;
        padding-left:20px
    }
    .emty_tuyendung {
        min-height: 50vh;
        background: #fff;
        display: block;
        justify-content: center;
        align-items: center;
        text-align: center;
        padding: 10% 0
    } 
    .emty_tuyendung lottie-player {
        display:block;
        width:100%;
        margin:auto;
       
    }
    .box_recruitment {
        padding:50px;
        font-weight:bold;
        font-size:2rem;
        display:block;
        width:100%
            
    }


</style>
<div style="background:url(../../../Assets/apphome/images/top_bg002.jpg);min-height:100vh" >
    <div class="pading_top"></div>

    <div class=" container-fluid ">
        <div class="row fromat_text">
            <div class="col-md-12">
                <h1>TUYỂN DỤNG</h1>
            </div>
        </div>
    </div>
    <div class="pading_top"></div>
    <div class=" container emty_tuyendung" ng-if="DanhSachTuyenDung.length==0">
        <lottie-player src="../../../Assets/apphome/js/47386-we-are-hiring.json" background="transparent" speed="1" style="width: 50%; height: 50%;" loop autoplay></lottie-player>
        <div class="box_recruitment">Hiện tại không có tuyển dụng</div>
    </div>
    <div class=" container ">
        <div ng-repeat="(key, value) in DanhSachTuyenDung| groupBy: 'TenNhomTuyenDung'">
            <div class="row fromat_textnv">
                <div class="col-md-12">
                    <h1>{{key}}</h1>
                </div>
            </div>

            <div class="row list_recruitment">
                <div class="col-md-1"></div>
                <div class="col-md-10">
                    <div ng-repeat="i in value" class="item_tuyendung">
                        <h1>{{i.TieuDe}}</h1>
                        <h5>Nộp hồ sơ tại</h5>
                        <h4>Địa chỉ: {{i.DiaChi}} </h4>
                        <h4 style="color:red">Điện thoại : {{i.SoDienThoai}} </h4>
                        <h4>Email : {{i.Email}} </h4>
                        <p id="text">
                           {{i.NoiDung}}

                        </p>
                        <h4 style="cursor:pointer" onclick="openmore($(this))" ><a  href="" >Xem chi tiết >></a></h4>

                    </div>

                </div>
                <div class="col-md-1"></div>
            </div>
            <div class="pading_top"></div>

        </div>
    </div>




</div>
<script>
    function openmore (i) {
               
        var elem = i.text();
        var a = i.closest('.item_tuyendung').find("p").text()
                if (elem == "Xem chi tiết >>") {
                    //Stuff to do when btn is in the read more state
                    i.text("Thu nhỏ");
                    i.css({ 'text-align':'right', 'cursor':'pointer'});
                    i.closest('.item_tuyendung').find("p").slideDown();
                } else {
                    //Stuff to do when btn is in the read less state
                    i.text("Xem chi tiết >>");
                    i.css({ 'text-align': 'left', 'cursor': 'pointer' });
                    i.closest('.item_tuyendung').find("p").slideUp();
                }
            }
      
</script>